Gradle Version 1.6 ist erforderlich. Aktuelle Version ist 1.8-20130730220035 + 0000

Nur aktualisiert Android-Studio auf Version 0.2.7 Jetzt bekomme ich die Fehlermeldung aus dem Titel:

Fehlermeldung

  • Facebook-Integration auf Android fbconnect defekten Link
  • Neue Warnung beim Aufbau von Android-Apps mit Gradle
  • Zeige nur zweistellig nach dezimal
  • Nehmen Sie ein Foto automatisch ohne Benutzerinteraktion auf
  • Gibt es offizielle APIs / Beispiele / Tutorials zur Umsetzung der neuen Material-Design-Richtlinien?
  • Mit der Layer-Liste können Sie einige Zeichnungsbilder anzeigen
  • Im Log-Fenster befindet sich eine Verknüpfung zum Noten-Setup:

    Konfigurationsdialog

    Egal welche Option ich benutze die Fehlermeldung bleibt gleich.

    Ich löschte mein ~/.gradle Verzeichnis und Projekte **/.gradle Verzeichnisse.

    Es scheint, dass nichts hilft.

    Nitpick: Kompilieren Sie auf der Befehlszeile mit \opt\gradle\1.6\bin\gradle.bat build funktioniert gut.

  • Kein Repository gefunden in Crashlytics für Eclipse installieren
  • Wollte schnelles Scrollen mit dem vorderen Charecter erstellen, um auf dem Bildschirm anzuzeigen, wenn der Benutzer auf die Liste des Alphabets zieht
  • Aktivität ist der Aktivität nicht zuzuordnen
  • Wie füge ich das "Action Bar Icon Pack" zu Android Studio hinzu
  • Android bekommt volle Breite für benutzerdefinierte Dialog
  • Android 6: kann Dateien nicht mehr freigeben?
  • 7 Solutions collect form web for “Gradle Version 1.6 ist erforderlich. Aktuelle Version ist 1.8-20130730220035 + 0000”

    Ich habe es geschafft, mein Projekt durch eine Kombination von ungültigen Android Studio-Cache zu beheben, Löschen von .idea und .gradle Verzeichnisse und .iml Dateien, Neustart von Studio und .iml des Projekts:

    Cache zurücksetzenbestätigen

    Auf Mac OSX mit Homebrew, brew install gradle dann wählen Sie lokale gradle Verteilung und zeigen Sie auf /usr/local/Cellar/gradle/1.7/libexec für gradle home: Lokale Verteilung

    1. Gehen Sie zu Voreinstellungen> Projekteinstellungen> Gradle und wählen Sie "Use gradle wrapper" anstelle der gebündelten Option
    2. Öffnen Sie Ihre gradle-wrapper.properties und ändern Sie die distributionUrl , um 1.7 zu verwenden, wenn es nicht bereits ist (meins war 1.6), dh distributionUrl=http\://services.gradle.org/distributions/gradle-1.7-bin.zip

    Du willst nicht auf der Ebene der Stufe Gradle verwalten, es wird besser pro Projekt gehandhabt. Android Studio-Projekte bereits Setup Gradle Wrapper Behandlung bei der Erstellung neuer Projekte, aber wenn Sie eine ältere haben, können Sie die gleiche Datei hinzufügen, die Android Studio tut. Denken Sie an diese als gradle bootstrap-Datei, die die richtige gradle-Version pro Projekt herunterladen wird. Sie können auch auf Gradle Wrapper lesen und generieren ein Shell-Skript namens gradlew, die gradle-free bootstrapping bieten wird.

    In gradle/wrapper/gradle-wrapper.properties in Ihrem Projektverzeichnis stellen Sie sicher, dass Sie:

     # #Tue Oct 08 13:40:54 CEST 2013 distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists distributionUrl=http\://services.gradle.org/distributions/gradle-1.7-bin.zip 

    Dann, wenn du in Gradle gehst, kannst du es einstellen, um den Gradle Wrapper zu benutzen. Dies ist der Standard beim Erstellen neuer Projekte in Android Studio.

    Es gibt mindestens drei Ansätze zur Migration oder Hinzufügen von Gradle richtig und mit der neuen Projektstruktur Google und Android Studio eingeführt hat.

    • Erstellen Sie ein neues Projekt und kopieren Sie den Code
    • Export von Eclipse nach Gradle (veraltet)
    • Code in Android Studio importieren (empfohlen)
    • Versuchen Sie, manuell alles in Ordnung zu bekommen, indem Sie die richtigen Gradle-Dateien erstellen und das Projekt neu ordnen.

    Jetzt kopiere ich die Dateien zu einem neuen Projekt, bis die Werkzeuge etwas besser werden.

    Wir haben zwei Computer, von denen einer die gleiche Nachricht nach dem Upgrade auf Android Studio 0.2.7 gab. Wir haben festgestellt, dass der Computer, der noch bauen konnte, Gradle unabhängig von Android Studio installiert hatte.

    Installieren von Gradle 1.6 heruntergeladen von der Website von Gradle behoben dieses Problem auf dem Computer, der nicht bauen würde.

    Meine Verlegenheit war im Grunde, was Abe tat, aber ich wollte ein bisschen mehr erklären:

    Download gradle 1.6 von der gradle website

    Auszug irgendwo auf deinem PC / Mac

    Öffnen Sie das Android-Studio, gehen Sie zu Präferenzen -> Gradle (linkes Feld) -> und wählen Sie die lokale Gradverteilung aus. Punkt Gradle Heimat der Ort, wo Sie Gradle extrahiert.

    Das hat mir das Problem behoben. Mit dem Gradle-Wrapper und der gebündelten Gradle-Verteilung scheiterten beide

    In meinem Fall habe ich gradle auf die neueste Version (1.8) aktualisiert und dann die gradle.build Dateien (für mein Projekt und für die Bibliotheken, die ich verwendete) wie diese:

     dependencies { classpath 'com.android.tools.build:gradle:0.6.1+' } 

    Die Dateien synchronisieren und den Cache aktualisieren / ungültig machen. Dies scheint das Problem zu lösen. Ich denke, dass Gradle, um die minimal erforderliche Version zu bestimmen, nur den obigen Wert liest.

    Hier ist was ich getan habe, um mein Projekt zu machen:

    1. Installierte Gradle 1.7 auf meinem OS (OS X Benutzer können hier brauen)
    2. local.properties dies zu meiner local.properties Datei hinzu: sdk.dir=/Applications/Android\ Studio.app/sdk
    3. Erstellt Gradle Wrapper mit gradle wrapper Befehl.
    4. Wählen Sie in Android Studio die Option "Gradle Wrapper (empfohlen)".
    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.